it-swarm.dev

Android Studio "Não é possível salvar as configurações do plug-in"

Quando abri o estúdio Android hoje, ele me mostrou os seguintes erros: Error 1

Error 2

Então, quando depois de reiniciar o Android Studio, recebo esses erros: Error 3

Depois que eu ativar o "Suporte ao Android" e reiniciar, os dois primeiros erros serão exibidos novamente e, quando eu reiniciar novamente, recebo esse terceiro erro novamente e o plug-in "Suporte ao Android" é desativado novamente. (Eu até tentei desinstalar e reinstalar o Android Studio)

Como posso consertar isso?

46
dan.lee

Para o meu caso, isso parece ser uma questão de direitos. Ao iniciar o Android Studio com direitos de administrador, nenhum problema ocorre.

Reabilitar os plugins como admin e iniciar o AS novamente com o meu usuário padrão não ajuda.

Editar

Atualizei para o último canário. Com o usuário admin que eu instalei o AS. Eu removi .AndroidStudio/config, .AndroidStudio/system e .AndroidStudio/plugins anteriormente (eu uso um local diferente para esses arquivos, então eu tenho que substituir idea.properties após cada instalação. Ao fazer isso, notei que eles renomearam .AndroidStudio para AndroidStudio.2. Isso me deu a dica para remover esses dirs.) . Depois disso, eu não tive problemas , independentemente de qual usuário executou o AS.

9
sschrass

Eu resolvi este problema desta maneira:

  1. Vá para Arquivo >> Invalidate caches/restart >> Invalidate and Restart
  2. Depois de reiniciado, se o aviso vier, basta clicar em Ativar suporte Android
33
Asim Krishna Das

Eu estava usando Gradle 4.1 e AS 3.0.1 quando recebi este erro.

Olhe para o console Gradle. Se parece algo assim, continue lendo:

Plugin Error
Problems found loading plugins:
Plugin "Android Games" was not loaded: required plugin "Android Support" is disabled.
Plugin "Android NDK Support" was not loaded: required plugin "Android Support" is disabled.
Plugin "Android APK Support" was not loaded: required plugin "Android Support" is disabled.
Plugin "Google Developers Samples" was not loaded: required plugin "Android Support" is ...
...
Plugin "Fire... (show balloon)

Observe que todos dizem "plug-in obrigatório o suporte do Android está desativado ."

Observe também o link “ show balloon ”.

  1. Clique em show balloon.

  2. Escolha para ativar o suporte do Android

  3. Reinicie o AS. 

Espero que isso ajude você também.

20
DSlomer64

TL; DR  
Eu finalmente consertei removendo o .idea/workspace.xml e a reativação dos plugins funcionou.

O mesmo problema aconteceu comigo quando instalei o AS 3.1 beta ao lado do AS 3.0.1 (estável) e abri meu projeto nele. Foi ok por algumas sessões, até que não foi. Não consigo descobrir o que exatamente quebrou a configuração do projeto, mas o projeto seria aberto na versão 3.0.1 e não na versão 3.1. Qualquer outro projeto funcionaria no 3.1 também. Os sintomas foram os mesmos: o plug-in de suporte do Android está desativado e não seria ativado. Eu tentei invalidar caches, reinstalar o AS (mesmo versão 3.1 estável não vai funcionar).
Eventualmente eu notei as pastas projectBackup e projectBackup2 criadas pelo studio na pasta raiz do projeto. Eles continham versões do arquivo workspace.xml. Então eu removi essas pastas de backup e o workspace.xml da pasta .idea. Então studio pediu para recarregar o projeto e é isso - depois disso eu pude reativar todos os plugins

12
cleanOK

Isso pode acontecer se um módulo não for adicionado corretamente.

Em vez de adicionar a pasta do módulo, adicionar os resultados do build.gradle em um projeto corrompido e problemas com os plug-ins de suporte do Android.

Para verificar se esse é o problema, tente criar um novo projeto Android. Se o novo projeto puder ser aberto (pode exigir a ativação dos plug-ins e a reinicialização do Android Studio), isso é um problema do projeto.

Se esse for o caso, exclua o módulo incorreto do projeto e, se necessário, reative os plug-ins e reinicie o Android Studio.

12
Alex

Nenhuma das soluções acima sozinha é suficiente para mim. Eu tive o mesmo problema após a atualização do Android Studio 2.3.3 para 3.1.2. 

  1. Fechar o Android Studio
  2. Remover .idea/workspace.xml
  3. Reinicie o Android Studio (seu projeto com o problema é aberto automaticamente)
  4. Uma nova .idea/workspace.xml é criada
  5. Sincronizar projeto com arquivos gradle
  6. Abra Arquivo -> Configurações -> Plugins -> Ativar
    • Plugin "Suporte Android".
    • Suporte ao Android NDK (eu tive que desabilitar e reativá-lo)
  7. Reinicie o Android Studio
8
L. G.

Tem esse problema recentemente com o Android Studio 1.3 e 1.4.2 (beta). Isso foi causado por uma OutOfMemoryError no heap Java. 

Eu resolvi isso aumentando os valores -Xmx e -XX:MaxPermSize no arquivo studio.vmoptions 

2
XGouchet

Recebi este erro hoje, atualizei o Android Studio em Ajuda> CheckForUpdates> Atualizar. Depois disso, instalei os plug-ins ausentes do Google Cloud. Agora está funcionando bem.

2
Rahul

No estúdio Android, vá para arquivo-> configurações-> plugin-> ativar androidsupport

1
Adam

Você pode tentar isto:

Renomeie a pasta onde o projeto está em Abra o projeto no Android Studio (agora você terá que procurá-lo) Espere até ele ser sincronizado e feche o projeto Renomeie o projeto pasta de volta ao original Isso resolveu para mim. Apenas excluir a pasta da ideia e invalidar os caches não resolveu o problema.

0
Martin B

No meu caso, estou usando o Ubuntu e tive que desbloquear a pasta do meu projeto: Digite este comando no Terminal: 

Sudo chown -R $ USUÁRIO: $ HOME

0
Gal Rom